From: Philip Ganchev <[email-masked]>
Date: Fri, 30 Sep 2011 13:34:32 +0300

On 18 Nov 2010, Jari Aalto wrote:
>> Manual page of ls(1) reads:
>>
>>        -d, --directory
>>               list directory entries instead of contents, and do not  derefer-
>>               ence symbolic links

On 18 Nov 2010, Eric Blake wrote:
[...]
> What wording change, if any, can you propose for the --help output that
> would not make things too verbose for what is supposed to be a quick
> reference?

--help currently shows:

I would suggest:

               when listing directories, show their names instead of
contents; do not
               dereference symbolic links
or
               when listing directories, show their names, not their
contents; do not
               dereference symbolic links

These are only 13 characters (15%) longer, but are, I think, clearer.

>> "info ls" reads:
>>
>>     `-d'
>>     `--directory'
>>          List just the names of directories, as with other types of files,
>>          rather than listing their contents.  Do not follow symbolic links
>>          listed on the command line unless the `--dereference-command-line'
>>          (`-H'), `--dereference' (`-L'), or
>>          `--dereference-command-line-symlink-to-dir' options are specified.

I would suggest:

          When listing directories, list just their names like other
types of files,
          instead of listing their contents. This overrides the
`--recursive' (`-R')
          option. Do not follow symbolic links listed on the command
line unless
          the `--dereference-command-line' (`-H'), `--dereference' (`-L'), or
          `--dereference-command-line-symlink-to-dir' options are specified.

This is 55 characters (18%) longer, but clearer.

Regards,
Philip Ganchev